package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.utils;

import lombok.Data;

import java.util.Map;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author chenqinqing
 * @Description
 */

@Data
@Component
@ConfigurationProperties(prefix ="supplier")
public class SupplierProperties {

    private String url;

    private String sleepTime;

    private Map<Integer,String> code;

    private String company_id;

    private long interval;

    private boolean sign;

    private String decryptKey;
    
    private int flag;

}
